# Global

##

### Methods

#### download(uri, tmpPath) → {Promise}

download image from internet.

##### Parameters:

Name | Type | Description
--- | --- | ---
`uri` | String | download url
`tmpPath` | String | file path

Source:
  - ocr.http.js, line 28

##### Returns:

Type
  Promise

#### getImg(url, path) → {Promise}

get source image path

##### Parameters:

Name | Type | Description
--- | --- | ---
`url` | String | source image path or url.
`path` | String | dest image path.

Source:
  - ocr.http.js, line 10

##### Returns:

path of image file

Type
  Promise

#### pad(num, size) → {String}

123 -> 000123

##### Parameters:

Name | Type | Description
--- | --- | ---
`num` | Integer | The number needed to append padding
`size` | Integer | The padding count

Source:
  - ocr.js, line 16

##### Returns:

after padding

Type
  String